Subject: [Idr] FW: WG Review: BGP Enabled Services (bess)

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 3 Oct 2014 17:30:12 +0100

Heads-up.

BESS charter is in IETF-wide review.

Adrian

> -----Original Message-----
> From: IETF-Announce [mailto:[email-masked]] On Behalf Of The
> IESG
> Sent: 03 October 2014 16:37
> To: IETF-Announce
> Cc: bess WG
> Subject: WG Review: BGP Enabled Services (bess)
> 
> A new IETF working group has been proposed in the Routing Area. The IESG
> has not made any determination yet. The following draft charter was
> submitted, and is provided for informational purposes only. Please send
> your comments to the IESG mailing list (iesg at ietf.org) by 2014-10-13.
> 
> BGP Enabled Services (bess)
> ------------------------------------------------
> Current Status: Proposed WG
> 
> Assigned Area Director:
>   Adrian Farrel <[email-masked]>
> 
> Mailing list
>   Address: [email-masked]
>   To Subscribe: https://www.ietf.org/mailman/listinfo/bess
>   Archive: http://www.ietf.org/mail-archive/web/bess/
> 
> Charter:
> 
> BGP is established as a protocol for provisioning and operating Layer-3
> (routed) Virtual Private Networks (L3VPNs). It is also used in certain
> Layer-2  Virtual Private Networks (L2VPNs).
> 
> The BGP Enabled Services (BESS) working group is responsible for
> defining, specifying, and extending network services based on BGP. In
> particular, the working group will work on the following services:
> 
>  - BGP/MPLS IP VPN solutions (based on RFC4364 and RFC4659) for
>    supporting provider-provisioned L3VPNs including methods for enabling
>    multicast over BGP/MPLS VPNs.
> 
>  - BGP-enabled L2VPNs (as described in RFC 4664) that operate over IP or
>    MPLS packet switched network tunnels. All types of L2VPN are in scope
>    provided they utilize BGP for discovery, signaling, or for some other
>    purposes related to the VPN. But L2VPN solutions that operate over
>    pseudowires or use LDP and that do not utilize BGP will be addressed
>    by the PALS working group. Any contention in placement of the work
>    between these working groups will be resolved by the chairs.
> 
>  - BGP-enabled VPN solutions for use in the data center networking.
>    This work includes consideration of VPN scaling issues and
>    mechanisms applicable to such environments.
> 
>  - Extensions to BGP-enabled VPN solutions for the construction of
>    virtual topologies in support of services such as Service Function
>    Chaining.
> 
> The working group may also suggest new services to be supported by BGP
> and these may be added to the working group charter subject to
> rechartering.
> 
> The working group may work on:
> 
>  - Mechanisms to support BGP-enabled services in the presence of multi-
>    homing of Customer Edge (CE) devices to multiple Provider Edge (PE)
>    devices to provide load-balancing and resilience.
> 
>  - Auto-discovery of sites that participate in the BGP-enabled service.
> 
>  - Data models for modeling, managing, and operating BGP-based services
>    using SMI or YANG.
> 
>  - OAM or resiliency mechanisms operating over BGP-enabled services. But
>    native data plane OAM mechanisms may be worked on only in conjunction
>    with the working groups responsible for the relevant data planes.
> 
>  - Extensions to BGP and extensions to YANG models for BGP. All such
>    work must be reviewed by the IDR WG, but the decision to request
>    publication of such work remains with the BESS WG.
> 
> The working group will also coordinate with other working groups where
> appropriate. For example, with the MPLS working group for issues
> related to the MPLS architecture, and the NVO3 working group for
> coordination of protocols to support data center VPNs.
> 
> The BESS working group will not define new data plane or forwarding
> plane encapsulations.
> 
> Milestones: